Check the status of a backtest session using API key authentication.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
session_id*string
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/fraud/api/backtest/497f6eca-6276-4993-bfeb-53cbbbba6f08/"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_name": "string", "name": "string", "description": "string", "total_images": 0, "processed_images": 0, "failed_images": 0, "status": "PENDING", "duplicates_found": 0, "cross_org_matches": 0, "progress_percentage": "string", "duration_seconds": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "error_message": "string", "created_at": "2019-08-24T14:15:22Z", "images": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "id_number": "string", "image_url": "http://example.com", "image_type": "string", "is_processed": true, "is_indexed": true, "has_error": true, "error_message": "string", "created_at": "2019-08-24T14:15:22Z" } ], "sample_matches": "string" }, "status": true, "message": "Request successful.", "errors": {}, "meta": { "timestamp": "2019-08-24T14:15:22Z", "version": "v1", "request_id": "string" }, "pagination": { "page": 0, "page_size": 0, "total_pages": 0, "total_items": 0 }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel